
/* 
 * This file contains function that use the robot and
 * search for RFID chips and steer away from lines.
 *
 * @author Nathan Dannals
 * @author Shannon
 * @author Branden Archer
 */ 

#ifndef __SEARCH_H_
#define __SEARCH_H_

#include <stdlib.h>
#include <string.h>
#include "BasicStamp2Library.h"
#include "MiscMethods.h"
#include "Rfid_Library.h"
#include "LcdLibrary.h"
#include "IR_Sensor.h"

//compares the tag we found with the tag that we are 
//looking for. The function returns a 1 if we found
//what we needed and a 0 if we didn't
int compare_tag(char tag[10], char curTag[2]);

//calls the stlib random file to choose randomly between
//turning right or left. This is used to determine at 
//random which way to turn while looking for tags.
//The angle is set at trnAng degrees and moves for trnClk
//clicks
void ran_turn();

//main search function that looks for the rfid tags
//and reads them when we come across one
void search(byte tags2find[10]);

/*
 * Find the next tag ID. If all Tags are found,
 * maxTags is returned.
 * 
 * @param tagsToFind[10] - array of tag status'
 * @param lastIndex - the start index for the search
 */
int getNextTagIndex(byte tagsToFind[10],int lastIndex);

/*
 * Searches the playing field until the given tag
 * has been found.
 */ 
void findCorrectTag(byte curTag[2]);

/*
 * Returns how many tags are being seached for
 * @param tagsToFind
 */
int totalTagsToFind(byte tagsToFind[10]);



#endif
